Ludia Forums

The game is not compatible with my device

I want to install the game to play it, I was very excited to know that the game is now available, But my Android device does not support the game , someone could help me? I have Android 10 Go edition

Hey there, David_Lopez. I’m really sorry to hear that your device is not compatible with our game.

Our FAQ here has more information on the minimum device requirement for android devices: